import { get, post, PUBLISH_SERVICE } from '@/services/index';
// 获取全部流程
export const GetWorkDayManageInfo = param =>
  get(`${PUBLISH_SERVICE}/WorkDayManage/GetWorkDayManageInfo`, param);
// 新增、修改班次
export const AddOrEditWorkTime = param =>
  post(`${PUBLISH_SERVICE}/WorkDayManage/AddOrEditWorkTime`, param);
// 删除节假日
export const DeleteFlowHoliday = param =>
  get(`${PUBLISH_SERVICE}/WorkDayManage/DeleteFlowHoliday`, param);
// 新增节假日
export const AddFlowHoliday = param =>
  get(`${PUBLISH_SERVICE}/WorkDayManage/AddFlowHoliday`, param);
// 导入节假日
export const ImportFlowHoliday = param =>
  post(`${PUBLISH_SERVICE}/WorkDayManage/ImportFlowHoliday`, param);
// 导出节假日
export const DownLoadFlowHoliday = query =>
  `${PUBLISH_SERVICE}/WorkDayManage/DownLoadFlowHoliday?year=${query.year}`;
// export const DownLoadFlowHoliday = param =>
//   get(`${PUBLISH_SERVICE}/WorkDayManage/DownLoadFlowHoliday`, param);

// 初始化节假日
export const InitializationFlowHoliday = param =>
  get(`${PUBLISH_SERVICE}/WorkDayManage/InitializationFlowHoliday`, param);
